#ifndef SUPERVIEW_H
#define SUPERVIEW_H

#include <QGLWidget>
#include <QTimer>
#include "super.h"

class SuperView: public QGLWidget
{
	Q_OBJECT

	public:
	SuperView(SuperFormula* sf = NULL, QWidget* parent = NULL);
	~SuperView();

	QSize SuperView::minimumSizeHint() const {return QSize(200,200);}
	QSize SuperView::sizeHint() const {return QSize(400,400);}

	void setSF(SuperFormula* sf){mThing = sf;}
	SuperFormula* sf(){return mThing;}

	public slots:
		void update();
		void timer();

	protected:
		void initializeGL();
		void paintGL();
		void resizeGL(int,int);

	protected:
	SuperFormula* mThing;
	QTimer* mTimer;
};

#endif
