#include <QtGui>

#include "glwidget.h"
#include "window.h"

Window::Window()
{
    glWidget = new GLWidget;
  
		QSlider* slider = new QSlider(Qt::Vertical);
		slider->setRange(0,200);
		slider->setSingleStep(1);
		slider->setTickInterval(10);
		slider->setTickPosition(QSlider::TicksRight);
		connect(slider,SIGNAL(valueChanged(int)),glWidget,SLOT(mutationRate(int)));
		slider->setValue(50);

		QPushButton* modeRandom = new QPushButton("mode random");
		connect(modeRandom,SIGNAL(pressed(void)),glWidget,SLOT(modeRandom(void)));
		QPushButton* modeMutate = new QPushButton("mode mutate");
		connect(modeMutate,SIGNAL(pressed(void)),glWidget,SLOT(modeMutate(void)));
		QPushButton* modeManyKids = new QPushButton("mode manykids");
		connect(modeManyKids,SIGNAL(pressed(void)),glWidget,SLOT(modeManyKids(void)));

		QPushButton* killButton = new QPushButton("nuke 'em");
		connect(killButton,SIGNAL(pressed(void)),glWidget,SLOT(killAll(void)));

		QWidget* right = new QWidget;
		QVBoxLayout* rights = new QVBoxLayout;

		rights->addWidget(slider);
		rights->addWidget(modeRandom);
		rights->addWidget(modeMutate);
		rights->addWidget(modeManyKids);
		rights->addWidget(killButton);

		right->setLayout(rights);

		QHBoxLayout *mainLayout = new QHBoxLayout;
    mainLayout->addWidget(glWidget);
		mainLayout->addWidget(right);



	  setLayout(mainLayout);
    setWindowTitle(tr("Beware the SuperFormula!"));

		glWidget->timer();
}

